#!/usr/bin/perl -w
use strict;
use warnings;
if (@ARGV) {
   my $fil = shift @ARGV;
   if (open INF, "<$fil") {
      my @lines = <INF>;
      close INF;
      foreach my $line (@lines) {
         next if ($line =~ /^\s+$/);
         next if ($line =~ /^\s+Volume\s+in\s+drive/);
         next if ($line =~ /^\s+Volume\s+Serial\s+Number/);
         next if ($line =~ /\s+<DIR>\s+\.{1,2}\s*$/);
         next if ($line =~ /^\s+\d+\s+File/);
         next if ($line =~ /^\s+\d+\s+Dir/);
         print $line;
      }
   }
}
